--- a/arch/mips/adm5120/edimax/br-61xx.c
+++ b/arch/mips/adm5120/edimax/br-61xx.c
@@ -44,6 +44,20 @@
 		.code		= KEY_RESTART,
 		.debounce_interval = BR61XX_KEYS_DEBOUNCE_INTERVAL,
 		.gpio		= ADM5120_GPIO_PIN2,
+	},
+	{
+		.desc		= "input_1",
+		.type		= EV_KEY,
+		.code		= BTN_1,
+ 		.debounce_interval = BR61XX_KEYS_DEBOUNCE_INTERVAL,
+		.gpio		= ADM5120_GPIO_PIN1,
+	},
+	{
+		.desc		= "input_2",
+		.type		= EV_KEY,
+		.code		= BTN_2,
+		.debounce_interval = BR61XX_KEYS_DEBOUNCE_INTERVAL,
+		.gpio		= ADM5120_GPIO_PIN3,
 	}
 };
 
